# MongoId::getHostname

(PECL mongo >= 1.0.8)

MongoId::getHostname — Gets the hostname being used for this machine's ids

> This extension that defines this method is deprecated. Instead, the MongoDB extension should be used. There is no equivalent for this method in the new extension.

### Description

public static MongoId::getHostname ( void ) : string

This returns the hostname MongoId is using to generate unique ids. This should be the same value gethostname() returns.

It is identical to the function:

`<?php
public static function getHostname() {
return gethostname();
}
?>`

### Parameters

This function has no parameters.

### Return Values

Returns the hostname.